mav_boxGetSurfaceParams(3)

NAME
mav_boxGetSurfaceParams - Get surface parameters of object.

LEVEL
Maverik Level 2

SYNTAX
int mav_boxGetSurfaceParams(MAV_object *o, MAV_surfaceParams ***sp);

int mav_compositeGetSurfaceParams(MAV_object *o, MAV_surfaceParams ***sp);

int mav_coneGetSurfaceParams(MAV_object *o, MAV_surfaceParams ***sp);

int mav_ctorusGetSurfaceParams(MAV_object *o, MAV_surfaceParams ***sp);

int mav_cylinderGetSurfaceParams(MAV_object *o, MAV_surfaceParams ***sp);

int mav_ellipseGetSurfaceParams(MAV_object *o, MAV_surfaceParams ***sp);

int mav_facetGetSurfaceParams(MAV_object *o, MAV_surfaceParams ***sp);

int mav_hellipseGetSurfaceParams(MAV_object *o, MAV_surfaceParams ***sp);

int mav_hsphereGetSurfaceParams(MAV_object *o, MAV_surfaceParams ***sp);

int mav_polylineGetSurfaceParams(MAV_object *o, MAV_surfaceParams ***sp);

int mav_polygonGetSurfaceParams(MAV_object *o, MAV_surfaceParams ***sp);

int mav_polygonGrpGetSurfaceParams(MAV_object *o, MAV_surfaceParams ***sp);

int mav_pyramidGetSurfaceParams(MAV_object *o, MAV_surfaceParams ***sp);

int mav_rectangleGetSurfaceParams(MAV_object *o, MAV_surfaceParams ***sp);

int mav_rtorusGetSurfaceParams(MAV_object *o, MAV_surfaceParams ***sp);

int mav_sphereGetSurfaceParams(MAV_object *o, MAV_surfaceParams ***sp);

int mav_teapotGetSurfaceParams(MAV_object *o, MAV_surfaceParams ***sp);

int mav_textGetSurfaceParams(MAV_object *o, MAV_surfaceParams ***sp);

int mav_avatarGetSurfaceParams(MAV_object *o, MAV_surfaceParams ***sp);

int mav_SMSObjGetSurfaceParams(MAV_object *o, MAV_surfaceParams ***sp);

int mav_TDMCursorGetSurfaceParams(MAV_object *o, MAV_surfaceParams ***sp);

ARGUMENTS

MAV_object *o
    Object to query.

MAV_surfaceParams ***sp
    Pointer to object's surface parameters.

DESCRIPTION
This function returns a pointer to the surface parameters of object o.